﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="Syncfusion.Shared.Web, Version=12.2450.0.36, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.Web.UI.WebControls.Shared" TagPrefix="syncfusion" %>
<%@ Register Assembly="Syncfusion.Tools.Web, Version=12.2450.0.36, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.Web.UI.WebControls.Tools" TagPrefix="syncfusion" %>


<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID ="FeaturedContent" >
    <ej:Chart ID="Chart1" OnClientLoad="loadTheme" CanResize="true" OnClientPointRegionClick="onclick" OnClientAnimationComplete="completeAnimation"
         Height="600" runat="server" Width="900">
        <Title Text="Automobile Sales by Category"></Title>
        <Legend Visible="true" Position="Right" Font-FontSize="20px" ItemStyle-Height="12" ItemStyle-Width="12" />
        <CommonSeriesOptions Type="Pie" EnableAnimation="True"></CommonSeriesOptions>
        <Series>
            <ej:Series Name="Market" Explode="True" XName="Xvalue" YName="YValue1" Type="Pie">
            <Marker Visible="True">
                <DataLabel Font-FontSize="24px" Font-Color="#FFFFFF" Visible="True"></DataLabel>
            </Marker>
                <Points>
                    <ej:Points X="SUV" Y="25" Text="25%"/>
                    <ej:Points X="Car" Y="37" Text="37%"/>
                    <ej:Points X="Pickup" Y="15" Text="15%"/>
                    <ej:Points X="Minivan" Y="23" Text="23%"/>
                </Points>
            </ej:Series>
        </Series>
    </ej:Chart>
    <button id="back" style="visibility:hidden; position:absolute; right:200px; top:250px">Back</button>
    <script>
        $("#back").ejButton({
            click: "displayResult",
            size: "medium"
        });

    </script>
</asp:Content>



<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="MainContent" >
    <script>
        function onclick(sender) {
            var pointIndex = sender.data.region.Region.PointIndex;
            if (sender.model.series[0].name == "Market")
                $("#Chart1").ejChart("option", { "drilldown": pieSeries(pointIndex,sender) });
        }
        function completeAnimation(sender) {
            if (sender.model.series[0].name != "Market")
                document.getElementById("back").style.visibility = "visible";
            else
                document.getElementById("back").style.visibility = "hidden";
        }
        function displayResult() {
            $("#Chart1").ejChart("option", { "drilldown": pieSeries() });
            document.getElementById("back").style.visibility = "hidden";
        }
        function pieSeries(index, chart) {
            if (index != undefined) {
                var x = chart.model.series[0].points[index].x;
                var y = chart.model.series[0].points[index].y;
                var text = chart.model.series[0].points[index].text;
                var color = chart.model.pointColors[index];

                return {
                    title: { text: x },
                    series: [{
                        points: [{ x: x, y: y, text: text,fill:color }
                        ],

                        name: 'SUV-Sale', labelPosition: 'inside', enableAnimation: true,
                        marker: {
                            dataLabel: { visible: true, font: { size: '24px', color: "#FFFFFF" } }
                        }
                    }],
                    
                    legend: { visible: false }
                };
            }
            else {
                return {
                    title: { text: 'Automobile Sales by Category' },
                    series: [{
                        points: [{ x: "SUV", y: 25, text: '25%' }, { x: "Car", y: 37, text: '37%' }, { x: "Pickup", y: 15, text: '15%' }, { x: "Minivan", y: 23, text: '23%' }],
                        name: 'Market', explode: true, enableAnimation: true,
                        marker: {
                            dataLabel: { visible: true, font: { size: '24px', color: "#FFFFFF" } }
                        }
                    }
                    ],


                    legend: { visible: true },
                    AnimationComplete: false

                };
            }
        }
    </script>
</asp:Content>